0

I install fresh magento 1.9.3.2 .

I tried to install Patch 10415 by creating following file on root named patch.php

<?php
print("<PRE>");
passthru("/bin/bash PATCH_SUPEE-10415_CE_1.9.3.2_v1-2017-11-28-06-38-23.sh");
print("</PRE>");
echo "Done";

?>

I also downloaded PATCH_SUPEE-10415_CE_1.9.3.2_v1-2017-11-28-06-38-23.sh file and placed on root.

The following error is displayed

Checking if patch can be applied/reverted successfully... ERROR: Patch can't be applied/reverted successfully.

checking file app/Mage.php
checking file app/code/core/Mage/Adminhtml/Block/Report/Review/Detail.php
checking file app/code/core/Mage/Adminhtml/Block/Report/Tag/Product/Detail.php
checking file app/code/core/Mage/Adminhtml/Block/Review/Add.php
checking file app/code/core/Mage/Adminhtml/Block/Review/Edit/Form.php
checking file app/code/core/Mage/Adminhtml/Controller/Action.php
Hunk #1 FAILED at 186.
1 out of 1 hunk FAILED
checking file app/code/core/Mage/Adminhtml/Model/LayoutUpdate/Validator.php
Hunk #1 FAILED at 142.
1 out of 1 hunk FAILED
checking file app/code/core/Mage/Adminhtml/Model/System/Config/Backend/Filename.php
checking file app/code/core/Mage/Api/Helper/Data.php
checking file app/code/core/Mage/Api/Model/Server/Adapter/Soap.php
checking file app/code/core/Mage/Api/Model/Wsdl/Config.php
checking file app/code/core/Mage/Api/Model/Wsdl/Config/Base.php
checking file app/code/core/Mage/Core/Helper/String.php
checking file app/code/core/Mage/Core/Model/File/Validator/Image.php
Hunk #1 FAILED at 91.
1 out of 1 hunk FAILED
checking file app/code/core/Mage/Core/etc/config.xml
Hunk #1 FAILED at 467.
1 out of 1 hunk FAILED
checking file app/code/core/Mage/Core/etc/system.xml
Hunk #1 succeeded at 673 (offset -1 lines).
Hunk #2 succeeded at 683 (offset -1 lines).
checking file app/code/core/Mage/Customer/Model/Customer.php
checking file app/code/core/Mage/Eav/Model/Entity/Attribute/Backend/Serialized.php
checking file app/code/core/Mage/Log/Helper/Data.php
checking file app/code/core/Mage/Rule/Model/Abstract.php
checking file app/code/core/Mage/Sales/Block/Adminhtml/Billing/Agreement/Grid.php
checking file app/code/core/Zend/Form/Decorator/Form.php
checking file app/design/adminhtml/default/default/template/backup/dialogs.phtml
Hunk #1 FAILED at 158.
1 out of 1 hunk FAILED
checking file app/design/adminhtml/default/default/template/sales/billing/agreement/view/tab/info.phtml
checking file app/design/adminhtml/default/default/template/xmlconnect/edit/tab/content.phtml
checking file app/design/adminhtml/default/default/template/xmlconnect/edit/tab/design/image_edit.phtml
checking file app/locale/en_US/Mage_Adminhtml.csv
checking file app/locale/en_US/Mage_Customer.csv
checking file js/mage/adminhtml/backup.js
checking file lib/Varien/Filter/FormElementName.php
Done
0

The magento ver 1.9.3.2 includes this patches

SUPEE-5344, SUPEE-5994, SUPEE-6237, SUPEE-6285, SUPEE-6482, SUPEE-6788, SUPEE-7616, SUPEE-7405, SUPEE-7405 v1.1, SUPEE-8788, SUPEE-9652

You are trying to install a patch with number 10415 , and it is displaying errors because you are skipping

SUPEE-10266

SUPEE-10336

SUPEE-9767 v2

By the logic its supposed you installed the patches i mentioned , but you didnt , thats why you are getting errors. Not sure why you are trying to install a 1.9.3.2 while you can install a magento version that include that patch you asking . As i know you cant easily skip 3 patches.

0

Roll back the changes you made, if any. For patching, use this utility: https://github.com/magesec/magesecuritypatcher. Upload to your server's Magento directory then give it chmod u+x then run it. Patches files up to current spec from the Magento repo. Very handy.

I have patched sites missing five plus patches flawlessly with this utility.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.